org.apache.lucene.index

## Class BaseIndexFileFormatTestCase.ReadBytesDirectoryWrapper

- java.lang.Object
- - org.apache.lucene.store.Directory
  - - org.apache.lucene.store.FilterDirectory
    - - org.apache.lucene.index.BaseIndexFileFormatTestCase.ReadBytesDirectoryWrapper

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    BaseIndexFileFormatTestCase

      protected static class BaseIndexFileFormatTestCase.ReadBytesDirectoryWrapper
      extends FilterDirectory

  A directory that tracks read bytes.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.store.FilterDirectory

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadBytesDirectoryWrapper(Directory in)` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexOutput` | `createOutput(String name, IOContext context)`
    `IndexOutput` | `createTempOutput(String prefix, String suffix, IOContext context)`
    `Map<String,FixedBitSet>` | `getReadBytes()` Get information about which bytes have been read.
    `ChecksumIndexInput` | `openChecksumInput(String name, IOContext context)`
    `IndexInput` | `openInput(String name, IOContext context)`

    - ### Methods inherited from class org.apache.lucene.store.FilterDirectory

      `close, deleteFile, fileLength, getDelegate, getPendingDeletions, listAll, obtainLock, rename, sync, syncMetaData, toString, unwrap`

    - ### Methods inherited from class org.apache.lucene.store.Directory

      `copyFrom, ensureOpen, getTempFileName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadBytesDirectoryWrapper

          public ReadBytesDirectoryWrapper(Directory in)

      Sole constructor.

  - ### Method Detail

    - #### getReadBytes

          public Map<String,FixedBitSet> getReadBytes()

      Get information about which bytes have been read.

    - #### openInput

          public IndexInput openInput(String name,
                                      IOContext context)
                               throws IOException

      Overrides:
        `openInput` in class `FilterDirectory`
      Throws:
        `IOException`

    - #### openChecksumInput

          public ChecksumIndexInput openChecksumInput(String name,
                                                      IOContext context)
                                               throws IOException

      Overrides:
        `openChecksumInput` in class `Directory`
      Throws:
        `IOException`

    - #### createOutput

          public IndexOutput createOutput(String name,
                                          IOContext context)
                                   throws IOException

      Overrides:
        `createOutput` in class `FilterDirectory`
      Throws:
        `IOException`

    - #### createTempOutput

          public IndexOutput createTempOutput(String prefix,
                                              String suffix,
                                              IOContext context)
                                       throws IOException

      Overrides:
        `createTempOutput` in class `FilterDirectory`
      Throws:
        `IOException`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.